Subject: Re: bug#7688: 23.2; can't un-customize default-frame-alist

From: Dave Abrahams <[email-masked]>
Date: Wed, 25 May 2011 17:19:53 -0400

At Wed, 25 May 2011 14:40:08 -0400,
Glenn Morris wrote:
> 
> Dave Abrahams wrote:
> 
> >   $ mkdir /tmp/x
> >   $ HOME=/tmp/x emacs
> >   M-x customize-variable default-frame-alist
> >   <delete both elements of the alist using the customize interface>
> >   <set and save changes>
> >   C-x C-c
> >   $ HOME=/tmp/x emacs
> >   M-x customize-variable default-frame-alist
> >   <note that the customizations /appear/ to be gone!>
> >   <press 'Erase Customizations'>
> >   
> > I get "Invalid Function: (menu-bar-lines . 1)"
> 
> Can you try the current bzr trunk version of Emacs?
> I think this might be fixed there, though I don't know what fixed it.

Still broken in emacs-23.3rc2

Not reproducible in the latest trunk, but that may be due to the fact
that the default for default-frame-alist has been changed to be empty,
so there's nothing to delete in the first place.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com